<?php

namespace Emixion\Calendar\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Emixion\Calendar\Interfaces\EventsRepositoryInterface;

class EventsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Emixion\Events\Interfaces\EventsRepositoryInterface $events
     *
     * @return type
     */
    public function __construct(EventsRepositoryInterface $events)
    {
        $this->repository = $events;
        parent::__construct();
    }

    /**
     * Show events's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $events = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('calendar::public.events.index', compact('events'))->render();
    }

    /**
     * Show events.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $events = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('calendar::public.events.show', compact('events'))->render();
    }
}
