<?php

// Admin routes for calendars
Route::group(['prefix' => trans_setlocale().'/admin/calendar', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('calendars', 'Emixion\Calendar\Http\Controllers\CalendarsAdminController');
});

// User routes for calendars
Route::group(['prefix' => trans_setlocale().'/user/calendar', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('calendars', 'Emixion\Calendar\Http\Controllers\CalendarsUserController');
});

// Public routes for calendars
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('calendar/calendars', 'Emixion\Calendar\Http\Controllers\CalendarsPublicController@index');
    Route::get('calendar/calendars/{slug?}', 'Emixion\Calendar\Http\Controllers\CalendarsPublicController@show');
});

// Admin routes for events
Route::group(['prefix' => trans_setlocale().'/admin/calendar', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('events', 'Emixion\Calendar\Http\Controllers\EventsAdminController');
});

// User routes for events
Route::group(['prefix' => trans_setlocale().'/user/calendar', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('events', 'Emixion\Calendar\Http\Controllers\EventsUserController');
});

// Public routes for events
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('calendar/events', 'Emixion\Calendar\Http\Controllers\EventsPublicController@index');
    Route::get('calendar/events/{slug?}', 'Emixion\Calendar\Http\Controllers\EventsPublicController@show');
});
