<?php

namespace Emixion\Calendar\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Calendars policy
        \Emixion\Calendar\Models\Calendars::class => \Emixion\Calendar\Policies\CalendarsPolicy::class,
// Bind Events policy
        \Emixion\Calendar\Models\Events::class => \Emixion\Calendar\Policies\EventsPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
