<?php

namespace Emixion\Calendar\Providers;

use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use Illuminate\Routing\Router;
use Emixion\Calendar\Models\Calendar;
use Request;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to the controller routes in your routes file.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'Emixion\Calendar\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     *
     * @param   \Illuminate\Routing\Router  $router
     * @return void
     */
    public function boot(Router $router)
    {
        parent::boot($router);

        if (Request::is('*/calendar/calendars/*')) {
            $router->bind('calendars', function ($id) {
                $calendars = $this->app->make('\Emixion\Calendar\Interfaces\CalendarsRepositoryInterface');
                return $calendars->findorNew($id);
            });
        }
if (Request::is('*/calendar/events/*')) {
            $router->bind('events', function ($id) {
                $events = $this->app->make('\Emixion\Calendar\Interfaces\EventsRepositoryInterface');
                return $events->findorNew($id);
            });
        }

    }

    /**
     * Define the routes for the application.
     *
     * @param \Illuminate\Routing\Router $router
     *
     * @return void
     */
    public function map(Router $router)
    {
        $router->group(['namespace' => $this->namespace], function ($router) {
            require __DIR__ . '/../Http/routes.php';
        });
    }
}
