<?php

namespace Emixion\Calendar\Repositories\Eloquent;

use Emixion\Calendar\Interfaces\CalendarsRepositoryInterface;
use Litepie\Database\Eloquent\BaseRepository;

class CalendarsRepository extends BaseRepository implements CalendarsRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Database\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.calendar.calendars.model');
    }
}
